# quotes\_dlx\_block\_output

This filter is a flag and if set, will allow you to customize the block output.

{% hint style="info" %}
Location: `php/Blocks.php`
{% endhint %}

{% code overflow="wrap" %}

```php
/**
 * Filter: quotes_dlx_block_output
 *
 * Short circuit this render and output your own block output.
 *
 * @since 1.0.0
 *
 * @param bool   false       To not override.
 * @param array  $attributes Block attributes.
 * @param string $content    Block content.
 *
 * @return bool|string False value for no override, string if override.
 */
$custom_output = apply_filters( 'quotes_dlx_block_output', false, $attributes, $content );
if ( $custom_output ) {
	return $custom_output;
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_output.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
